> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Domains

Use this API to add new organizations and its metadata.

# Endpoint

`POST https://api.velt.dev/v1/workspace/domains/add`

# Headers

**x-velt-api-key** `string` *required*

Your API key.

**x-velt-auth-token** `string` *required*

Your [Auth Token](https://velt.dev/docs/security/auth-tokens.md).

# Body

#### Params

**data** `object` *required*

**properties**

**domains** `string[]` *required*

Array of domains

# Example Request

```JSON theme={null}
{
  "data": {
     "domains" : [
        "https://www.google.com",
        "https://*.firebase.com"
     ]
  }
}
```

# Example Response

#### Success Response

```JSON theme={null}
{
    "result": {
        "status": "success",
        "message": "Domain(s) added successfully to allowed domains.",
        "data": {
            "domainsAdded": [
                "google.com",
                "*.firebase.com"
            ]
        }
    }
}

```

#### Failure Response

##### If some domains are already in the allowed domains

```JSON theme={null}
{
    "error": {
        "details": {
            "domainsAdded": [
                "velt.dev"
            ],
            "skippedDomains": [
                "google.com"
            ]
        },
        "message": "Domain(s) added successfully to allowed domains. Skipped existing domains.",
        "status": "INTERNAL"
    }
}

```

```js theme={null}
{
    "result": {
        "status": "success",
        "message": "Domain(s) added successfully to allowed domains.",
        "data": {
            "domainsAdded": [
                "google.com",
                "*.firebase.com"
            ]
        }
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.